<ul class="collection">
    <li class="collection-item" *ngFor="let todo of todos; let i = index">
        <p>
            <label>
            <input type="checkbox" (click)="removeTodo(todo.name)" />
            <span>{{todo.name}}</span>
            <span style="float: right;">{{todo.date}}</span>
            </label>
        </p>
    </li>
</ul>